package xyz.apiote.bimba.czwek

import org.osmdroid.config.Configuration
import java.io.File

class Bimba : android.app.Application() {
	override fun onCreate() {
		super.onCreate()
		Configuration.getInstance()
			.let { config ->
				config.load(
					applicationContext,
					applicationContext.getSharedPreferences("shp", MODE_PRIVATE)
				)
				config.osmdroidBasePath = File(applicationContext.cacheDir.absolutePath, "osmdroid")

				config.osmdroidTileCache = File(config.osmdroidBasePath.absolutePath, "tile")
			}
	}
}